Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodeentityreferencenodetype Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodeentityreferencenodetype (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getNodeType()" method for an EntityReference Node returns the constant value 5.

Retrieve the EntityReference node from the last child of the second employee and invoke the "getNodeType()" method. The method should return 5.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-111237558

Definition at line 44 of file nodeentityreferencenodetype.java.

## Constructor & Destructor Documentation

nodeentityreferencenodetype::nodeentityreferencenodetype | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 46 of file nodeentityreferencenodetype.java.
    00047  {
    00048       super(factory);
    00049
    00050    }

## Member Function Documentation

String nodeentityreferencenodetype::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 77 of file nodeentityreferencenodetype.java.
    00077                                 {
    00078       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodeentityreferencenodetype";
    00079    }

void nodeentityreferencenodetype::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 80 of file nodeentityreferencenodetype.java. References DOMTestCase::doMain().
    00080                                           {
    00081         DOMTestCase.doMain(nodeentityreferencenodetype.class,args);
    00082    }

void nodeentityreferencenodetype::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 52 of file nodeentityreferencenodetype.java. References DOMTestCase::assertEquals(), DOMTest::isExpandEntityReferences(), and DOMTest::load().
    00052                                                     {
    00053       Document doc;
    00054       NodeList elementList;
    00055       Element entRefAddr;
    00056       Node entRefNode;
    00057       int nodeType;
    00058       doc = load("staff");
    00059
    00060         if(
    00061         isExpandEntityReferences()
    00062         ) {
    00063         entRefNode = doc.createEntityReference("ent2");
    00064
    00065         }
    00066
    00067                 else {
    00068                         elementList = doc.getElementsByTagName("address");
    00069       entRefAddr = (Element)elementList.item(1);
    00070       entRefNode = entRefAddr.getFirstChild();
    00071
    00072                 }
    00073         nodeType = (int)entRefNode.getNodeType();
    00074       assertEquals("nodeEntityReferenceNodeTypeAssert1",5,nodeType);
    00075
    00076    }

The documentation for this class was generated from the following file:

- nodeentityreferencenodetype.java